Dungeons

Dungeon definitions — the playable level metadata behind a /v2/maps entry. Patch-aware (see Patches).

Endpoints

GET /v2/dungeons                           list
GET /v2/dungeons/{id}                      single dungeon

Query parameters

NameModeDescription
idexactid.dungeon.<slug> or raw Id_Dungeon_<Name>
namesubstringmatches the display name
min_floor, max_floorrangefilter by floor number
at_patchversiontime-travel
branchstringdefault main
page, limitpaginationdefault 25, max 250

Example

{
   "body": {
      "id":                    "id.dungeon.arena_abyss_deep_flow",
      "name":                  "Ice Abyss Arena",
      "source_key":            "Id_Dungeon_ArenaAbyss_DeepFlow",
      "id_tag":                "Id.Arena",
      "floor":                 1,
      "triumph_exp":           1,
      "layout_size":           "1",
      "level_asset":           "Arena_Abyss_DeepFlow_P",
      "game_types":            [ "EGameType::ArenaTrio" ],
      "floor_rule":            "id.floor_rule.arena_1x1",
      "default_dungeon_grade": "id.dungeon_grade.2012"
   }
}